Productsup
CDE APIApi referencePlatform

Update target accounts, projects and sites, to connector versions. i.e. accounts, projects and sites where the connector could be assigned to.

All the accounts, projects and sites provided are accounts, projects and sites where an integrator would be able to release a connector in production

Sign in to run requests against the CDE API.
PUT
/connectors/{publicId}/versions/{connectorVersion}/targets

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/targets" \  -H "Content-Type: application/json" \  -d '{    "target-accounts": [      789,      987    ],    "target-projects": [      321,      654    ],    "target-sites": [      123,      456    ]  }'
{
  "message": "successful operation",
  "data": {
    "name": "smitham.com",
    "description": null,
    "readme": null,
    "version": "1.0.0",
    "logo": null,
    "created-at": "2026-05-11T14:13:53+02:00",
    "updated-at": "2026-05-11T14:13:53+02:00",
    "deleted-at": null,
    "state": "created",
    "config": {
      "update-progress": [],
      "secret-registrations": [],
      "authentication-registrations": [],
      "authentication-registrations-additional-fields": [],
      "application": {
        "command": "Smith",
        "arguments": "nihil eos quia",
        "health-check": "--eos"
      },
      "vcs": null,
      "docker": {
        "image-name": null,
        "image-tag": null,
        "registry-url": null
      },
      "individuals": [],
      "migration": null,
      "execution": {
        "execution-mode": "as-env-variables",
        "container-api-image": "test.domain.docker/test/container-api-image:1.0.0",
        "docker-host": null,
        "container-api": {
          "image": null,
          "version-constraint": "^9.9.9"
        }
      },
      "export": {
        "channels": [],
        "channel-config": [],
        "feedback-file-enabled": false,
        "feedback-file-source-connection-column": null,
        "feedback-file-target-connection-column": null,
        "feedback-application-config": null
      },
      "data-service": null,
      "datasource": null,
      "buckets": [],
      "feature-flags": [],
      "container-api-config": null
    },
    "platform_dev_reference": {
      "account": null,
      "project": null,
      "executable": null,
      "platform-connector": null,
      "site": null,
      "site-processing-cluster": null,
      "assigned-to-site": null,
      "assigned-to-channel": null,
      "assigned-to-channel-site": null,
      "assigned-to-channel-site-destination": null,
      "runtime": {
        "environment": "bin-docker-wrapper",
        "version": "9.9.17"
      }
    },
    "platform_prod_reference": {
      "executable": null,
      "platform-connector": null,
      "target-accounts": [
        789,
        987
      ],
      "target-projects": [
        321,
        654
      ],
      "target-sites": [
        123,
        456
      ],
      "enabled-for-accounts": [],
      "enabled-for-projects": [],
      "enabled-for-sites": [],
      "assigned-to-sites": [],
      "released": false,
      "version": null,
      "runtime": {
        "environment": "bin-docker-wrapper",
        "version": "9.9.17"
      }
    },
    "prod_config": null,
    "dev_config": null
  }
}
{
  "message": "Bad request.",
  "errors": {
    "target-projects": "This value should be an array of integer."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector not found."
}

How is this guide?